local RANGE_TYPE_LEVEL = "LVL"
local RANGE_TYPE_CHAMPION_POINTS = "CP"
local MIN_LEVEL = 1
local MAX_LEVEL = GetMaxLevel()
local MIN_CHAMPION_POINTS = 1
local MAX_CHAMPION_POINTS = GetChampionPointsPlayerProgressionCap()
local LVL = 0
local CP = MAX_LEVEL

local DEFAULT_REQUIREMENT_SKILL_LEVEL_1  = {  LVL+1, LVL+15 }
local DEFAULT_REQUIREMENT_SKILL_LEVEL_2  = { LVL+16, LVL+25 }
local DEFAULT_REQUIREMENT_SKILL_LEVEL_3  = { LVL+26, LVL+35 }
local DEFAULT_REQUIREMENT_SKILL_LEVEL_4  = { LVL+36, LVL+45 }
local DEFAULT_REQUIREMENT_SKILL_LEVEL_5  = { LVL+46,   CP+9 }
local DEFAULT_REQUIREMENT_SKILL_LEVEL_6  = {  CP+10,  CP+39 }
local DEFAULT_REQUIREMENT_SKILL_LEVEL_7  = {  CP+40,  CP+69 }
local DEFAULT_REQUIREMENT_SKILL_LEVEL_8  = {  CP+70,  CP+89 }
local DEFAULT_REQUIREMENT_SKILL_LEVEL_9  = {  CP+90, CP+149 }
local DEFAULT_REQUIREMENT_SKILL_LEVEL_10 = { CP+150, CP+160 }

local JEWELRY_CRAFTING_REQUIREMENT_SKILL_LEVEL_1 = {  LVL+1, LVL+25 }
local JEWELRY_CRAFTING_REQUIREMENT_SKILL_LEVEL_2 = { LVL+26,   CP+9 }
local JEWELRY_CRAFTING_REQUIREMENT_SKILL_LEVEL_3 = {  CP+10,  CP+79 }
local JEWELRY_CRAFTING_REQUIREMENT_SKILL_LEVEL_4 = {  CP+80, CP+149 }
local JEWELRY_CRAFTING_REQUIREMENT_SKILL_LEVEL_5 = { CP+150, CP+160 }

local SOLVENT_REQUIREMENT_SKILL_LEVEL_1A = {  LVL+1,  LVL+9 }
local SOLVENT_REQUIREMENT_SKILL_LEVEL_1B = { LVL+10, LVL+19 }
local SOLVENT_REQUIREMENT_SKILL_LEVEL_2  = { LVL+20, LVL+29 }
local SOLVENT_REQUIREMENT_SKILL_LEVEL_3  = { LVL+30, LVL+39 }
local SOLVENT_REQUIREMENT_SKILL_LEVEL_4  = { LVL+40,   CP+9 }
local SOLVENT_REQUIREMENT_SKILL_LEVEL_5  = {  CP+10,  CP+49 }
local SOLVENT_REQUIREMENT_SKILL_LEVEL_6  = {  CP+50,  CP+99 }
local SOLVENT_REQUIREMENT_SKILL_LEVEL_7  = { CP+100, CP+149 }
local SOLVENT_REQUIREMENT_SKILL_LEVEL_8  = { CP+150, CP+160 }

local GLYPH_REQUIREMENT_SKILL_LEVEL_1A  = {  LVL+1,  LVL+5 }
local GLYPH_REQUIREMENT_SKILL_LEVEL_1B  = {  LVL+6,  LVL+9 }
local GLYPH_REQUIREMENT_SKILL_LEVEL_2A  = { LVL+10, LVL+15 }
local GLYPH_REQUIREMENT_SKILL_LEVEL_2B  = { LVL+16, LVL+19 }
local GLYPH_REQUIREMENT_SKILL_LEVEL_3A  = { LVL+20, LVL+25 }
local GLYPH_REQUIREMENT_SKILL_LEVEL_3B  = { LVL+26, LVL+29 }
local GLYPH_REQUIREMENT_SKILL_LEVEL_4A  = { LVL+30, LVL+35 }
local GLYPH_REQUIREMENT_SKILL_LEVEL_4B  = { LVL+36, LVL+39 }
local GLYPH_REQUIREMENT_SKILL_LEVEL_5A  = { LVL+40,   CP+9 }
local GLYPH_REQUIREMENT_SKILL_LEVEL_5B  = {  CP+10,  CP+29 }
local GLYPH_REQUIREMENT_SKILL_LEVEL_6   = {  CP+30,  CP+49 }
local GLYPH_REQUIREMENT_SKILL_LEVEL_7   = {  CP+50,  CP+69 }
local GLYPH_REQUIREMENT_SKILL_LEVEL_8   = {  CP+70,  CP+99 }
local GLYPH_REQUIREMENT_SKILL_LEVEL_9   = { CP+100, CP+149 }
local GLYPH_REQUIREMENT_SKILL_LEVEL_10A = { CP+150, CP+159 }
local GLYPH_REQUIREMENT_SKILL_LEVEL_10B = { CP+160, CP+160 }

local MATERIAL_REQUIREMENT_LEVELS = {
    -- Blacksmithing:
    [808] = DEFAULT_REQUIREMENT_SKILL_LEVEL_1, -- Iron Ore
    [5413] = DEFAULT_REQUIREMENT_SKILL_LEVEL_1, -- Iron Ingot
    [5820] = DEFAULT_REQUIREMENT_SKILL_LEVEL_2, -- High Iron Ore
    [4487] = DEFAULT_REQUIREMENT_SKILL_LEVEL_2, -- Steel Ingot
    [23103] = DEFAULT_REQUIREMENT_SKILL_LEVEL_3, -- Orichalcum Ore
    [23107] = DEFAULT_REQUIREMENT_SKILL_LEVEL_3, -- Orichalcum Ingot
    [23104] = DEFAULT_REQUIREMENT_SKILL_LEVEL_4, -- Dwarven Ore
    [6000] = DEFAULT_REQUIREMENT_SKILL_LEVEL_4, -- Dwarven Ingot
    [23105] = DEFAULT_REQUIREMENT_SKILL_LEVEL_5, -- Ebony Ore
    [6001] = DEFAULT_REQUIREMENT_SKILL_LEVEL_5, -- Ebony Ingot
    [4482] = DEFAULT_REQUIREMENT_SKILL_LEVEL_6, -- Calcinium Ore
    [46127] = DEFAULT_REQUIREMENT_SKILL_LEVEL_6, -- Calcinium Ingot
    [23133] = DEFAULT_REQUIREMENT_SKILL_LEVEL_7, -- Galatite Ore
    [46128] = DEFAULT_REQUIREMENT_SKILL_LEVEL_7, -- Galatite Ingot
    [23134] = DEFAULT_REQUIREMENT_SKILL_LEVEL_8, -- Quicksilver Ore
    [46129] = DEFAULT_REQUIREMENT_SKILL_LEVEL_8, -- Quicksilver Ingot
    [23135] = DEFAULT_REQUIREMENT_SKILL_LEVEL_9, -- Voidstone Ore
    [46130] = DEFAULT_REQUIREMENT_SKILL_LEVEL_9, -- Voidstone Ingot
    [71198] = DEFAULT_REQUIREMENT_SKILL_LEVEL_10, -- Rubedite Ore
    [64489] = DEFAULT_REQUIREMENT_SKILL_LEVEL_10, -- Rubedite Ingot

    -- Clothing:
    [812] = DEFAULT_REQUIREMENT_SKILL_LEVEL_1, -- Raw Jute
    [793] = DEFAULT_REQUIREMENT_SKILL_LEVEL_1, -- Rawhide Scraps
    [811] = DEFAULT_REQUIREMENT_SKILL_LEVEL_1, -- Jute
    [794] = DEFAULT_REQUIREMENT_SKILL_LEVEL_1, -- Rawhide
    [4464] = DEFAULT_REQUIREMENT_SKILL_LEVEL_2, -- Raw Flax
    [4448] = DEFAULT_REQUIREMENT_SKILL_LEVEL_2, -- Hide Scraps
    [4463] = DEFAULT_REQUIREMENT_SKILL_LEVEL_2, -- Flax
    [4447] = DEFAULT_REQUIREMENT_SKILL_LEVEL_2, -- Hide
    [23129] = DEFAULT_REQUIREMENT_SKILL_LEVEL_3, -- Raw Cotton
    [23095] = DEFAULT_REQUIREMENT_SKILL_LEVEL_3, -- Leather Scraps
    [23125] = DEFAULT_REQUIREMENT_SKILL_LEVEL_3, -- Cotton
    [23099] = DEFAULT_REQUIREMENT_SKILL_LEVEL_3, -- Leather
    [23130] = DEFAULT_REQUIREMENT_SKILL_LEVEL_4, -- Raw Spidersilk
    [6020] = DEFAULT_REQUIREMENT_SKILL_LEVEL_4, -- Thick Leather Scraps
    [23126] = DEFAULT_REQUIREMENT_SKILL_LEVEL_4, -- Spidersilk
    [23100] = DEFAULT_REQUIREMENT_SKILL_LEVEL_4, -- Thick Leather
    [23131] = DEFAULT_REQUIREMENT_SKILL_LEVEL_5, -- Raw Ebonthread
    [23097] = DEFAULT_REQUIREMENT_SKILL_LEVEL_5, -- Fell Hide Scraps
    [23127] = DEFAULT_REQUIREMENT_SKILL_LEVEL_5, -- Ebonthread
    [23101] = DEFAULT_REQUIREMENT_SKILL_LEVEL_5, -- Fell Hide
    [33217] = DEFAULT_REQUIREMENT_SKILL_LEVEL_6, -- Raw Kreshweed
    [23142] = DEFAULT_REQUIREMENT_SKILL_LEVEL_6, -- Topgrain Hide Scraps
    [46131] = DEFAULT_REQUIREMENT_SKILL_LEVEL_6, -- Kresh Fiber
    [46135] = DEFAULT_REQUIREMENT_SKILL_LEVEL_6, -- Topgrain Hide
    [33218] = DEFAULT_REQUIREMENT_SKILL_LEVEL_7, -- Raw Ironweed
    [23143] = DEFAULT_REQUIREMENT_SKILL_LEVEL_7, -- Iron Hide Scraps
    [46132] = DEFAULT_REQUIREMENT_SKILL_LEVEL_7, -- Ironthread
    [46136] = DEFAULT_REQUIREMENT_SKILL_LEVEL_7, -- Iron Hide
    [33219] = DEFAULT_REQUIREMENT_SKILL_LEVEL_8, -- Raw Silverweed
    [800] = DEFAULT_REQUIREMENT_SKILL_LEVEL_8, -- Superb Hide Scraps
    [46133] = DEFAULT_REQUIREMENT_SKILL_LEVEL_8, -- Silverweave
    [46137] = DEFAULT_REQUIREMENT_SKILL_LEVEL_8, -- Superb Hide
    [33220] = DEFAULT_REQUIREMENT_SKILL_LEVEL_9, -- Raw Void Bloom
    [4478] = DEFAULT_REQUIREMENT_SKILL_LEVEL_9, -- Shadowhide Scraps
    [46134] = DEFAULT_REQUIREMENT_SKILL_LEVEL_9, -- Void Cloth
    [46138] = DEFAULT_REQUIREMENT_SKILL_LEVEL_9, -- Shadowhide
    [71200] = DEFAULT_REQUIREMENT_SKILL_LEVEL_10, -- Raw Ancestor Silk
    [71239] = DEFAULT_REQUIREMENT_SKILL_LEVEL_10, -- Rubedo Hide Scraps
    [64504] = DEFAULT_REQUIREMENT_SKILL_LEVEL_10, -- Ancestor Silk
    [64506] = DEFAULT_REQUIREMENT_SKILL_LEVEL_10, -- Rubedo Leather

    -- Woodworking:
    [802] = DEFAULT_REQUIREMENT_SKILL_LEVEL_1, -- Rough Maple
    [803] = DEFAULT_REQUIREMENT_SKILL_LEVEL_1, -- Sanded Maple
    [521] = DEFAULT_REQUIREMENT_SKILL_LEVEL_2, -- Rough Oak
    [533] = DEFAULT_REQUIREMENT_SKILL_LEVEL_2, -- Sanded Oak
    [23117] = DEFAULT_REQUIREMENT_SKILL_LEVEL_3, -- Rough Beech
    [23121] = DEFAULT_REQUIREMENT_SKILL_LEVEL_3, -- Sanded Beech
    [23118] = DEFAULT_REQUIREMENT_SKILL_LEVEL_4, -- Rough Hickory
    [23122] = DEFAULT_REQUIREMENT_SKILL_LEVEL_4, -- Sanded Hickory
    [23119] = DEFAULT_REQUIREMENT_SKILL_LEVEL_5, -- Rough Yew
    [23123] = DEFAULT_REQUIREMENT_SKILL_LEVEL_5, -- Sanded Yew
    [818] = DEFAULT_REQUIREMENT_SKILL_LEVEL_6, -- Rough Birch
    [46139] = DEFAULT_REQUIREMENT_SKILL_LEVEL_6, -- Sanded Birch
    [4439] = DEFAULT_REQUIREMENT_SKILL_LEVEL_7, -- Rough Ash
    [46140] = DEFAULT_REQUIREMENT_SKILL_LEVEL_7, -- Sanded Ash
    [23137] = DEFAULT_REQUIREMENT_SKILL_LEVEL_8, -- Rough Mahogany
    [46141] = DEFAULT_REQUIREMENT_SKILL_LEVEL_8, -- Sanded Mahogany
    [23138] = DEFAULT_REQUIREMENT_SKILL_LEVEL_9, -- Rough Nightwood
    [46142] = DEFAULT_REQUIREMENT_SKILL_LEVEL_9, -- Sanded Nightwood
    [71199] = DEFAULT_REQUIREMENT_SKILL_LEVEL_10, -- Rough Ruby Ash
    [64502] = DEFAULT_REQUIREMENT_SKILL_LEVEL_10, -- Sanded Ruby Ash

    -- Jewelry Crafting:
    [135137] = JEWELRY_CRAFTING_REQUIREMENT_SKILL_LEVEL_1, -- Pewter Dust
    [135138] = JEWELRY_CRAFTING_REQUIREMENT_SKILL_LEVEL_1, -- Pewter Ounce
    [135139] = JEWELRY_CRAFTING_REQUIREMENT_SKILL_LEVEL_2, -- Copper Dust
    [135140] = JEWELRY_CRAFTING_REQUIREMENT_SKILL_LEVEL_2, -- Copper Ounce
    [135141] = JEWELRY_CRAFTING_REQUIREMENT_SKILL_LEVEL_3, -- Silver Dust
    [135142] = JEWELRY_CRAFTING_REQUIREMENT_SKILL_LEVEL_3, -- Silver Ounce
    [135143] = JEWELRY_CRAFTING_REQUIREMENT_SKILL_LEVEL_4, -- Electrum Dust
    [135144] = JEWELRY_CRAFTING_REQUIREMENT_SKILL_LEVEL_4, -- Electrum Ounce
    [135145] = JEWELRY_CRAFTING_REQUIREMENT_SKILL_LEVEL_5, -- Platinum Dust
    [135146] = JEWELRY_CRAFTING_REQUIREMENT_SKILL_LEVEL_5, -- Platinum Ounce

    -- Solvents:
    [883] = SOLVENT_REQUIREMENT_SKILL_LEVEL_1A, -- Natural Water
    [75357] = SOLVENT_REQUIREMENT_SKILL_LEVEL_1A, -- Grease
    [1187] = SOLVENT_REQUIREMENT_SKILL_LEVEL_1B, -- Clear Water
    [75358] = SOLVENT_REQUIREMENT_SKILL_LEVEL_1B, -- Ichor
    [4570] = SOLVENT_REQUIREMENT_SKILL_LEVEL_2, -- Pristine Water
    [75359] = SOLVENT_REQUIREMENT_SKILL_LEVEL_2, -- Slime
    [23265] = SOLVENT_REQUIREMENT_SKILL_LEVEL_3, -- Cleansed Water
    [75360] = SOLVENT_REQUIREMENT_SKILL_LEVEL_3, -- Gall
    [23266] = SOLVENT_REQUIREMENT_SKILL_LEVEL_4, -- Filtered Water
    [75361] = SOLVENT_REQUIREMENT_SKILL_LEVEL_4, -- Terebinthine
    [23267] = SOLVENT_REQUIREMENT_SKILL_LEVEL_5, -- Purified Water
    [75362] = SOLVENT_REQUIREMENT_SKILL_LEVEL_5, -- Pitch-Bile
    [23268] = SOLVENT_REQUIREMENT_SKILL_LEVEL_6, -- Cloud Mist
    [75363] = SOLVENT_REQUIREMENT_SKILL_LEVEL_6, -- Tarblack
    [64500] = SOLVENT_REQUIREMENT_SKILL_LEVEL_7, -- Star Dew
    [75364] = SOLVENT_REQUIREMENT_SKILL_LEVEL_7, -- Night-Oil
    [64501] = SOLVENT_REQUIREMENT_SKILL_LEVEL_8, -- Lorkhan's Tears
    [75365] = SOLVENT_REQUIREMENT_SKILL_LEVEL_8, -- Alkahest

    -- Potency Runes:
    [45817] = GLYPH_REQUIREMENT_SKILL_LEVEL_1A, -- Jode
    [45855] = GLYPH_REQUIREMENT_SKILL_LEVEL_1A, -- Jora
    [45818] = GLYPH_REQUIREMENT_SKILL_LEVEL_1B, -- Notade
    [45856] = GLYPH_REQUIREMENT_SKILL_LEVEL_1B, -- Porade
    [45819] = GLYPH_REQUIREMENT_SKILL_LEVEL_2A, -- Ode
    [45857] = GLYPH_REQUIREMENT_SKILL_LEVEL_2A, -- Jera
    [45820] = GLYPH_REQUIREMENT_SKILL_LEVEL_2B, -- Tade
    [45806] = GLYPH_REQUIREMENT_SKILL_LEVEL_2B, -- Jejora
    [45807] = GLYPH_REQUIREMENT_SKILL_LEVEL_3A, -- Odra
    [45821] = GLYPH_REQUIREMENT_SKILL_LEVEL_3A, -- Jayde
    [45808] = GLYPH_REQUIREMENT_SKILL_LEVEL_3B, -- Pojora
    [45822] = GLYPH_REQUIREMENT_SKILL_LEVEL_3B, -- Edode
    [45809] = GLYPH_REQUIREMENT_SKILL_LEVEL_4A, -- Edora
    [45823] = GLYPH_REQUIREMENT_SKILL_LEVEL_4A, -- Pojode
    [45810] = GLYPH_REQUIREMENT_SKILL_LEVEL_4B, -- Jaera
    [45824] = GLYPH_REQUIREMENT_SKILL_LEVEL_4B, -- Rekude
    [45811] = GLYPH_REQUIREMENT_SKILL_LEVEL_5A, -- Pora
    [45825] = GLYPH_REQUIREMENT_SKILL_LEVEL_5A, -- Hade
    [45812] = GLYPH_REQUIREMENT_SKILL_LEVEL_5B, -- Denara
    [45826] = GLYPH_REQUIREMENT_SKILL_LEVEL_5B, -- Idode
    [45813] = GLYPH_REQUIREMENT_SKILL_LEVEL_6, -- Rera
    [45827] = GLYPH_REQUIREMENT_SKILL_LEVEL_6, -- Pode
    [45814] = GLYPH_REQUIREMENT_SKILL_LEVEL_7, -- Derado
    [45828] = GLYPH_REQUIREMENT_SKILL_LEVEL_7, -- Kedeko
    [45815] = GLYPH_REQUIREMENT_SKILL_LEVEL_8, -- Rekura
    [45829] = GLYPH_REQUIREMENT_SKILL_LEVEL_8, -- Rede
    [45816] = GLYPH_REQUIREMENT_SKILL_LEVEL_9, -- Kura
    [45830] = GLYPH_REQUIREMENT_SKILL_LEVEL_9, -- Kude
    [64508] = GLYPH_REQUIREMENT_SKILL_LEVEL_10A, -- Jehade
    [64509] = GLYPH_REQUIREMENT_SKILL_LEVEL_10A, -- Rejera
    [68340] = GLYPH_REQUIREMENT_SKILL_LEVEL_10B, -- Itdate
    [68341] = GLYPH_REQUIREMENT_SKILL_LEVEL_10B, -- Repora
}

local PROVISIONING_ITEM_TYPE_HAS_FULL_RANGE = {
    [SPECIALIZED_ITEMTYPE_FOOD_UNIQUE] = true,
    [SPECIALIZED_ITEMTYPE_DRINK_UNIQUE] = true,
}

local PROVISIONING_REQUIREMENT_MAPPING = {
    [ LVL+1] = {  LVL+1,  LVL+4 },
    [ LVL+5] = {  LVL+5,  LVL+9 },
    [LVL+10] = { LVL+10, LVL+14 },
    [LVL+15] = { LVL+15, LVL+19 },
    [LVL+20] = { LVL+20, LVL+24 },
    [LVL+25] = { LVL+25, LVL+29 },
    [LVL+30] = { LVL+30, LVL+34 },
    [LVL+35] = { LVL+35, LVL+39 },
    [LVL+40] = { LVL+40, LVL+44 },
    [LVL+45] = { LVL+45,   CP+9 },
    [ CP+10] = {  CP+10,  CP+49 },
    [ CP+50] = {  CP+50,  CP+99 },
    [CP+100] = { CP+100, CP+149 },
    [CP+150] = { CP+150, CP+160 },
}

local GLYPH_REQUIREMENT_LEVEL_MAPPING = {
    [ LVL+1] = GLYPH_REQUIREMENT_SKILL_LEVEL_1A,
    [ LVL+5] = GLYPH_REQUIREMENT_SKILL_LEVEL_1B,
    [LVL+10] = GLYPH_REQUIREMENT_SKILL_LEVEL_2A,
    [LVL+15] = GLYPH_REQUIREMENT_SKILL_LEVEL_2B,
    [LVL+20] = GLYPH_REQUIREMENT_SKILL_LEVEL_3A,
    [LVL+25] = GLYPH_REQUIREMENT_SKILL_LEVEL_3B,
    [LVL+30] = GLYPH_REQUIREMENT_SKILL_LEVEL_4A,
    [LVL+35] = GLYPH_REQUIREMENT_SKILL_LEVEL_4B,
    [LVL+40] = GLYPH_REQUIREMENT_SKILL_LEVEL_5A,
    [ CP+10] = GLYPH_REQUIREMENT_SKILL_LEVEL_5B,
    [ CP+30] = GLYPH_REQUIREMENT_SKILL_LEVEL_6,
    [ CP+50] = GLYPH_REQUIREMENT_SKILL_LEVEL_7,
    [ CP+70] = GLYPH_REQUIREMENT_SKILL_LEVEL_8,
    [CP+100] = GLYPH_REQUIREMENT_SKILL_LEVEL_9,
    [CP+150] = GLYPH_REQUIREMENT_SKILL_LEVEL_10A,
    [CP+160] = GLYPH_REQUIREMENT_SKILL_LEVEL_10B,
}

local ALCHEMY_REQUIREMENT_LEVEL_MAPPING = {
    [ LVL+3] = SOLVENT_REQUIREMENT_SKILL_LEVEL_1A,
    [LVL+10] = SOLVENT_REQUIREMENT_SKILL_LEVEL_1B,
    [LVL+20] = SOLVENT_REQUIREMENT_SKILL_LEVEL_2,
    [LVL+30] = SOLVENT_REQUIREMENT_SKILL_LEVEL_3,
    [LVL+40] = SOLVENT_REQUIREMENT_SKILL_LEVEL_4,
    [ CP+10] = SOLVENT_REQUIREMENT_SKILL_LEVEL_5,
    [ CP+50] = SOLVENT_REQUIREMENT_SKILL_LEVEL_6,
    [CP+100] = SOLVENT_REQUIREMENT_SKILL_LEVEL_7,
    [CP+150] = SOLVENT_REQUIREMENT_SKILL_LEVEL_8,
}

AwesomeGuildStore.data.ITEM_REQUIREMENT_RANGE = {
    LVL = LVL,
    CP = CP,
    LVL_STEP = 2,
    CP_STEP = 10,
    MIN_LEVEL_THRESHOLD = 4,
    MIN_CP_THRESHOLD = 10,
    RANGE_TYPE_LEVEL = RANGE_TYPE_LEVEL,
    RANGE_TYPE_CHAMPION_POINTS = RANGE_TYPE_CHAMPION_POINTS,

    MIN_LEVEL = MIN_LEVEL,
    MAX_LEVEL = MAX_LEVEL,
    MIN_CHAMPION_POINTS = MIN_CHAMPION_POINTS,
    MAX_CHAMPION_POINTS = MAX_CHAMPION_POINTS,
    MIN_NORMALIZED_LEVEL = MIN_LEVEL,
    MAX_NORMALIZED_LEVEL = MAX_LEVEL + MAX_CHAMPION_POINTS,

    BUTTON_INFO = {
        [RANGE_TYPE_LEVEL] = {
            min = MIN_LEVEL,
            max = MAX_LEVEL,
            normal="EsoUI/Art/LFG/LFG_normalDungeon_down.dds",
            pressed="EsoUI/Art/LFG/LFG_normalDungeon_down.dds",
            mouseOver="EsoUI/Art/LFG/LFG_normalDungeon_over.dds",
        },
        [RANGE_TYPE_CHAMPION_POINTS] = {
            min = MIN_CHAMPION_POINTS,
            max = MAX_CHAMPION_POINTS,
            normal="EsoUI/Art/LFG/LFG_championDungeon_down.dds",
            pressed="EsoUI/Art/LFG/LFG_championDungeon_down.dds",
            mouseOver="EsoUI/Art/LFG/LFG_championDungeon_over.dds",
        }
    },

    MATERIAL_REQUIREMENT_LEVELS = MATERIAL_REQUIREMENT_LEVELS,
    PROVISIONING_ITEM_TYPE_HAS_FULL_RANGE = PROVISIONING_ITEM_TYPE_HAS_FULL_RANGE,
    PROVISIONING_REQUIREMENT_MAPPING = PROVISIONING_REQUIREMENT_MAPPING,
    GLYPH_REQUIREMENT_LEVEL_MAPPING = GLYPH_REQUIREMENT_LEVEL_MAPPING,
    ALCHEMY_REQUIREMENT_LEVEL_MAPPING = ALCHEMY_REQUIREMENT_LEVEL_MAPPING,
}
